.team {
    background: var(--white);
}

.team__wrapper {
    display: flex;
    flex-direction: column;
    gap: clamp(32px, 3.33vw, 64px);
}

.team__title {
    font-family: PP Neue Montreal;
    font-weight: 400;
    font-style: normal;
    font-size: clamp(32px, 2.5vw, 48px);
    leading-trim: NONE;
    line-height: 130%;
    letter-spacing: 0%;
    text-transform: uppercase;
    text-align: center;
    color: var(--gray-100);
}

.team__items {
    display: flex;
    flex-direction: row;
    gap: clamp(16px, 3.33vw, 64px);
    justify-content: space-between;
}

.team__items .team-item {
    display: flex;
    flex-direction: column;
    gap: clamp(10px, 0.73vw, 14px);
    height: auto;
}

.team__items .team-item .img-wrapper {
    overflow: hidden;
}

.team__items .team-item .img-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.team__items .team-item .text {
    font-family: PP Neue Montreal;
    font-weight: 400;
    font-style: normal;
    font-size: clamp(13px, 0.83vw, 16px);
    leading-trim: NONE;
    line-height: 140%;
    letter-spacing: 0%;
    color: var(--gray-80);
}

.team__items .team-item:first-of-type .img-wrapper {
    height: clamp(174px, 20.42vw, 392px);
    width: clamp(200px, 23.44vw, 450px);
}

.team__items .team-item:nth-of-type(2) .img-wrapper {
    height: clamp(100px, 10.42vw, 200px);
    width: clamp(100px, 10.42vw, 200px);
}

.team__items .team-item:nth-of-type(3) .img-wrapper {
    height: clamp(140px, 15.625vw, 300px);
    width: clamp(140px, 15.625vw, 300px);
}

.team__items .team-item:nth-of-type(4) .img-wrapper {
    height: clamp(287px, 33.65vw, 646px);
    width: clamp(200px, 23.44vw, 450px);
}

.team__items .team-item:first-of-type {
    justify-content: center;
}

.team__items .team-item:nth-of-type(2) {
    justify-content: flex-end;
    margin-bottom: clamp(16px, 1.67vw, 32px);
}

.team__items .team-item:nth-of-type(3) {
    justify-content: center;
}

.team__items .team-item:nth-of-type(4) {
    justify-content: center;
}

@media (max-width: 1024px) {
    .team__items {
        flex-wrap: wrap;
        justify-content: center;
        gap: clamp(24px, 3vw, 40px);
    }

    .team__items .team-item {
        width: calc((100% - clamp(24px, 3vw, 40px)) / 2);
    }

    .team__items .team-item .img-wrapper,
    .team__items .team-item:first-of-type .img-wrapper,
    .team__items .team-item:nth-of-type(2) .img-wrapper,
    .team__items .team-item:nth-of-type(3) .img-wrapper,
    .team__items .team-item:nth-of-type(4) .img-wrapper {
        width: 100%;
        height: clamp(220px, 35vw, 360px);
    }
}

@media (max-width: 576px) {
    .team__items .team-item {
        width: 100%;
    }
}
